// MLevel.cpp : implementation file
//

#include "stdafx.h"
#include "uep1_windows.h"
#include "MLevel.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MLevel dialog


MLevel::MLevel(CWnd* pParent /*=NULL*/)
	: CDialog(MLevel::IDD, pParent)
{
	//{{AFX_DATA_INIT(MLevel)
	m_Level = 0.0;
	m_Ncanal = 0;
	//}}AFX_DATA_INIT
}


void MLevel::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MLevel)
	DDX_Text(pDX, IDC_ELEVEL, m_Level);
	DDV_MinMaxDouble(pDX, m_Level, -1., 1.);
	DDX_Text(pDX, IDC_ENumberCanal, m_Ncanal);
	DDV_MinMaxInt(pDX, m_Ncanal, 0, 3);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MLevel, CDialog)
	//{{AFX_MSG_MAP(MLevel)
	ON_BN_CLICKED(IDC_BinputLevel, OnBinputLevel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MLevel message handlers

void MLevel::OnBinputLevel() 
{
  double s;
  UpdateData(true);
  if (m_Level<(-1) || m_Level>1) MessageBox(":     -1  1");
  else
  {
    if (m_Level<0)(s = m_Level*512);
    else (s = m_Level*511);
    a=s;
    a= (a&0x3ff);	
    OnOK();
  } 
}
