// Mcan.cpp : implementation file
//

#include "stdafx.h"
#include "uep1_windows.h"
#include "Mcan.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Mcan dialog


Mcan::Mcan(CWnd* pParent /*=NULL*/)
	: CDialog(Mcan::IDD, pParent)
{
	//{{AFX_DATA_INIT(Mcan)
	m_Rcan = -1;
	m_canmx = _T("");
	//}}AFX_DATA_INIT
}


void Mcan::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Mcan)
	DDX_Radio(pDX, IDC_RcanA, m_Rcan);
	DDX_Text(pDX, IDC_Ecanmx, m_canmx);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Mcan, CDialog)
	//{{AFX_MSG_MAP(Mcan)
	ON_BN_CLICKED(IDC_BinputCANMX, OnBinputCANMX)
	ON_WM_CANCELMODE()
	ON_BN_CLICKED(IDC_Rinputcanmx, OnRinputcanmx)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Mcan message handlers



void Mcan::OnBinputCANMX() 
{
	extern byte canmx;
	byte Acanmx[]={0x41,0x52,0x64,0x77,0x47};
	CUep1_windowsDlg WMain;

	char *end_ptr;
	UpdateData(true);
	if (m_Rcan<5)
	{
		canmx=Acanmx[m_Rcan];
		OnOK();
	}
	else
    {
	    UpdateData(true);
		canmx=strtol(m_canmx,&end_ptr,16);
        if (*end_ptr) MessageBox("   0-9   a-f(A_F)!");
		else OnOK();
	 }
}

BOOL Mcan::OnInitDialog() 
{
	CDialog::OnInitDialog();
	UpdateData(true);
	GetDlgItem(IDC_Ecanmx)->ShowWindow(SW_HIDE);
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void Mcan::OnCancelMode() 
{
	CDialog::OnCancelMode();
	
	
}



void Mcan::OnRinputcanmx() 
{
     
	GetDlgItem(IDC_Ecanmx)->ShowWindow(SW_SHOW);
	UpdateData(true);

}
