// Msin.cpp : implementation file
//

#include "stdafx.h"
#include "uep1_windows.h"
#include "Msin.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Msin dialog


Msin::Msin(CWnd* pParent /*=NULL*/)
	: CDialog(Msin::IDD, pParent)
{
	//{{AFX_DATA_INIT(Msin)
	m_Amplitude = 0.0f;
	m_frequency = 0.0f;
	m_kodDis = -1;
	//}}AFX_DATA_INIT
}


void Msin::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Msin)
	DDX_Text(pDX, IDC_Eamplitude, m_Amplitude);
	DDX_Text(pDX, IDC_Efrequency, m_frequency);
	DDX_Radio(pDX, IDC_RADIO2, m_kodDis);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Msin, CDialog)
	//{{AFX_MSG_MAP(Msin)
	ON_BN_CLICKED(IDC_BinputSin, OnBinputSin)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Msin message handlers

void Msin::OnBinputSin() 
{
	char soob[200];

    bool kz=true;
	int kol_dsk;
	double del_t,kt;
    UpdateData(true);
	kol_dsk=pow(2,(m_kodDis+1));
    
    if (m_kodDis<0 || m_kodDis>7)
	{
	   MessageBox(":    !");
	   kz=false;
    }
	else
       if (m_frequency<=0)
	   {		
		   MessageBox(":  >0!");
		   kz=false;
	   
	   }
	   else
	       if (m_Amplitude<0.1 || m_Amplitude>1.0)
		   {
		      MessageBox(":   0.1  1 !");
		      kz=false;       
		   }
		   else
		   {
			  del_t = 1/(m_frequency*kol_dsk);
			  if (del_t<0.000005)
			  {
                sprintf(soob,"   =%e < 5 .      !",del_t);
		        MessageBox(soob);
		        kz=false;
			  }
	          kt=del_t/0.000005;
	          if(kt>65535)
			  {
sprintf(soob,"-    =%lf > 65535( 2 ).     !",kt);
     			MessageBox(soob);		
				kz=false;
			  }
		   }
	if (kz) OnOK();
}
