// Mrele.cpp : implementation file
//

#include "stdafx.h"
#include "uep1_windows.h"
#include "Mrele.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Mrele dialog


Mrele::Mrele(CWnd* pParent /*=NULL*/)
	: CDialog(Mrele::IDD, pParent)
{
	//{{AFX_DATA_INIT(Mrele)
	m_3_3v = FALSE;
	m_3_3aco = FALSE;
	m_5v = FALSE;
	m_5aco = FALSE;
	m_min15v = FALSE;
	m_min5v = FALSE;
	m_15v = FALSE;
	m_24v = FALSE;
	//}}AFX_DATA_INIT
}


void Mrele::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Mrele)
	DDX_Check(pDX, IDC_CHECK3_3V, m_3_3v);
	DDX_Check(pDX, IDC_CHECK3_3VACO, m_3_3aco);
	DDX_Check(pDX, IDC_CHECK5V, m_5v);
	DDX_Check(pDX, IDC_CHECK5VACO, m_5aco);
	DDX_Check(pDX, IDC_CHECKmin15V, m_min15v);
	DDX_Check(pDX, IDC_CHECKmin5V, m_min5v);
	DDX_Check(pDX, IDC_CHECK15V, m_15v);
	DDX_Check(pDX, IDC_CHECK24V, m_24v);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Mrele, CDialog)
	//{{AFX_MSG_MAP(Mrele)
	ON_BN_CLICKED(IDC_BinputRele, OnBinputRele)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Mrele message handlers

void Mrele::OnBinputRele() 
{
 bb=0x0;
 UpdateData(true);
 
 if(m_3_3v)  (bb |= 0x1);
 if(m_5v)    (bb |= 0x2);
 if(m_min5v)  (bb |= 0x4);
 if(m_15v)   (bb |= 0x8);
 if(m_min15v)(bb |= 0x10);
 if(m_24v)   (bb |= 0x20);
 if(m_5aco)  (bb |= 0x40);
 if(m_3_3aco)(bb |= 0x80);
 OnOK();
}
