// uep1_windowsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "uep1_windows.h"
#include "uep1_windowsDlg.h"
#include "h.h"
#include "WinAdr.h"
#include "MLevel.h"
#include "Msin.h"
#include "Mset_cu_24.h"
#include "Mrele.h"
#include "Mcanal.h"
#include "Mtakt.h"
#include "Mcan.h"

#include "direct.h"
#include <math.h>
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUep1_windowsDlg dialog

CUep1_windowsDlg::CUep1_windowsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUep1_windowsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUep1_windowsDlg)
	m_privet = _T("");
	m_soob = _T("");

	rec_state = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CUep1_windowsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUep1_windowsDlg)
	DDX_Text(pDX, IDC_EDIT_privet, m_privet);
	DDX_Text(pDX, IDC_SOOB, m_soob);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CUep1_windowsDlg, CDialog)
	//{{AFX_MSG_MAP(CUep1_windowsDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_COMMAND(ID_Exit, OnExit)
	ON_COMMAND(ID__MENU_RS232, OnMenuRs232)
	ON_COMMAND(ID__MENU_PW, OnMenuPw)
	ON_COMMAND(ID__MENU_TEST24V, OnMenuTest24v)
	ON_COMMAND(ID_MENU_READPLIS, OnMenuReadplis)
	ON_COMMAND(ID_MENU_STAICSIGNAL, OnMenuSet_Dac)
	ON_COMMAND(ID_MENU_SIN, OnMenuSin)
	ON_COMMAND(ID__MENU_CAN, OnMenuCan)
	ON_COMMAND(ID__MENU_SET24V, OnMenuSet24v)
	ON_COMMAND(ID_MENU_RELE, OnMenuRele)
	ON_COMMAND(ID_MENU_SOLO, OnMenuSolo)
	ON_COMMAND(ID_MENU_ProvRele, OnMENUProvRele)
	ON_COMMAND(ID_MENU_PRINTBUF, OnMenuPrintbuf)
	ON_COMMAND(ID__MENU_ACO, OnMenuAco)
	ON_COMMAND(ID_re_state_CANMX, OnrestateCANMX)
	ON_COMMAND(ID_re_file_scen, Onrefilescen)
	ON_COMMAND(ID_one, Onone)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUep1_windowsDlg message handlers

BOOL CUep1_windowsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
 UpdateData(TRUE);
 GetDlgItem(IDC_SOOB)->ShowWindow(SW_HIDE); 	

//     
CTime time = CTime::GetCurrentTime();
if ((time.GetHour()>12) & (time.GetHour()<18))m_privet=" ";
else if(time.GetHour()>18)m_privet=" ";
else m_privet=" ";
UpdateData( FALSE );
// ,   
if (InitOpenPort(0, 38400) != 0)
{
	MessageBox(" :   !");
	OnOK();
}
else 
    if (TST_RS(1)!=0)
    {
		MessageBox("     RS-232");
		if (TST_RS(1)!=0)
		{
			MessageBox("   !!!  ...");
		    CloseHandle(hCOM);
			OnOK();
		}
	}
	TEST_CU_INTorPW(0x5);
extern byte canmx;
extern int uep; //!!!!!!!!!!!
    kfr=0;
	canmx = 0x47;
	nFileScn="KFR_T0R1.scn";
	uep=1; //!!!!!!!!!!
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CUep1_windowsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CUep1_windowsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CUep1_windowsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CUep1_windowsDlg::OnExit() 
{
OnOK();	
}

void CUep1_windowsDlg::OnMenuRs232() 
{

    TST_RS(0);

}

byte CUep1_windowsDlg::inbyte(int nPort)
{

int i;
int n=25000;
for(i=0;i<n;i++)
{
	if(Inp32(comm[nPort].aPort+5) & 1)break;
}

if (i<n)
{
	rec_state = 0;
	return Inp32(comm[nPort].aPort);
} 
else 
{ 
	rec_state =1 ;
	return 0xff;
}

}

void CUep1_windowsDlg::outbyte(int nPort, byte bb)
{
boolean kz = true;
while (kz)
{
 kz= ((Inp32(comm[nPort].aPort+5) & 0x20)==0);
}
Out32(comm[nPort].aPort,bb);
}

//     

int CUep1_windowsDlg::InitOpenPort(int nPort, int dBaudRate)
{
	comm[0].sName="COM1";
	comm[0].aPort=0x3f8;
	comm[1].sName="COM2";
	comm[1].aPort=0x2f8;
    hCOM=CreateFile(comm[nPort].sName, //  
                  GENERIC_WRITE|GENERIC_READ, //.   
                  0,//   0,.   
                  NULL,//  
	              OPEN_EXISTING,//  
			      FILE_ATTRIBUTE_NORMAL,//
			      NULL);//   

	if (hCOM==INVALID_HANDLE_VALUE)
	{
		CloseHandle(hCOM);
		MessageBox("   !");
		return 1;
	}
	else
	{
		Out32((comm[nPort].aPort+3), 0x80);
		Out32(comm[nPort].aPort+1, 0);
		Out32(comm[nPort].aPort  , 3);

		Out32(comm[nPort].aPort+3, 0x3f);
		Out32(comm[nPort].aPort+1, 0);
		return 0;
	}
}

int CUep1_windowsDlg::TST_RS(int nv)
{
 extern byte buf_otv[18];
 byte buf_kom[18]={0xf0,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0},kod;
 byte test1,test2;
 char soob[100];
 int i,os;
	kod=0x70;   // 

	if(!nv)
	{
		UpdateData(TRUE);
        GetDlgItem(IDC_SOOB)->ShowWindow(SW_SHOW);
		m_soob.Format(" :    RS-232\r\n");
	}
	os=SEND_REC(buf_kom,kod);         // / .  .   
	if(os) return os;

//  
	os=0;
	test1=buf_kom[0]&0x7f;
	if(test1!=buf_otv[0])os=1;
	if(buf_otv[1]!=buf_kom[1])os=1;
	for(i=2;i<=8;i++){
		test1=~buf_kom[i];
		if(test1!=buf_otv[i])os=1;
		}
	for(i=9;i<=12;i++){
		test1=buf_kom[i];
		_asm
		{
          mov al,test1 
          clc          //  
		  rcl al,2     // 
		  sar al,1     //     
		  mov test1,al
		}
		if(test1!=buf_otv[i])os=1;
		}
	for(i=13;i<=16;i++){
		test1=buf_kom[i];
		test2=test1;
		test1=test1>>4;
		test2=test2&0x0f;
		test2=test2<<4;
		test1=test1|test2;
		if(test1!=buf_otv[i])os=1;
		}
	if(!nv)
	{
		m_soob += "   :        :";
		for(i=0;i<=16;i++)
		{
			sprintf(soob,"\r\n        %02x              %02x",buf_kom[i],buf_otv[i]);
			m_soob += soob;
		}
	    UpdateData(false);
	}
	if(os){
			m_soob ="  RS-232  !   ";
            UpdateData(false);
			  return 1;
		  }
    else {
		if(!nv)
		{
			sprintf(soob,"\r\n   RS-232  \r\n");
		    m_soob += soob;
		    UpdateData(false);
		}
		else m_soob.Format("  RS-232  ");
		return 0;
		}

}

int CUep1_windowsDlg::SEND_REC(byte buf_kom[], byte kod)
{
// int rec_state=0;
  int i;
  char soob[3][80]={"    RS-!!!   !",
	             "     RS-!",
				 "     RS-!"};
  for(i=0;i<2;i++)
  {
    rec_state = 0;
    Send_RS(buf_kom);
	rec_state = Rec_RS(kod);
	if(rec_state==0) return 0;
  }
  i=rec_state-1;
  MessageBox(soob[i]);
  
  return rec_state;
}



int CUep1_windowsDlg::TEST_CU_INTorPW(byte firstByte)
{
 extern byte buf_otv[18];
 byte buf_kom[18]={0x80,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},kod;

 char test1,os,soob[50];

 int i;
 bool ns=true;
 buf_kom[1]=firstByte;
 kod=0x60;

 sprintf(soob,"\r\n TST_CU_PW:    \r\n");
 m_soob += soob;
 UpdateData(false);
 UpdateData(true);
 GetDlgItem(IDC_SOOB)->ShowWindow(SW_SHOW);
 
 os=SEND_REC(buf_kom,kod);
 if(os!=0)return 1; ///!!!!!!!!! 
		
//  

	test1=buf_otv[0];
	test1&=0xfe;
	//if(test1!=0x60)  MessageBox("   ");

	if(test1!=kod)  MessageBox("   ");

	if(buf_otv[1]!=firstByte) MessageBox(" 1-   ");
	sprintf(soob,"                    \r\n  ");
	m_soob += soob;
    
	if (firstByte==0x6) for(i=0;i<=7;i++) (ns &= out_voltage(i,2)); 
	else 
	{
      for(i=0;i<=6;i++)(ns &= out_voltage(i,3));
	  buf_otv[10]&=0x01;
	  if(buf_otv[10]!=0)sprintf(soob,"\r\n    ");
	  else sprintf(soob,"\r\n    ");
	  m_soob += soob;
	  
	}
	
	sprintf(soob,"\r\n     -1 ");
	m_soob += soob;
	if(!ns)
	{
		sprintf(soob,"\r\n     -1");
		m_soob += soob;
	}

    UpdateData(false);
	return(0);

}

int CUep1_windowsDlg::Send_RS(byte buf_kom[])
{
int i,n;

 n = kol_vo(buf_kom[0]) + 1;
 for(i=0;i<n;i++)buf_kom[n] += buf_kom[i];
 
 outbyte(0,0x80); // 
 
 for(i=0;i<(n+1);i++)outbyte(0,buf_kom[i]);	
return 0;
}

int CUep1_windowsDlg::Rec_RS(byte kod)
{
extern byte buf_otv[18];
int i,n;
byte bDan;
byte ksum=0;

for(i=0;i<sizeof(buf_otv);i++)buf_otv[i]=0;
bDan=inbyte(0);
if ((rec_state==0) & (bDan == 0x80))
{
  bDan=inbyte(0);
  if((bDan&0xfe)== kod)
  {
     buf_otv[0]=bDan;
	 n = kol_vo(bDan);
	 ksum = buf_otv[0];
     for(i=1;i<=n;i++)
	 {
		 buf_otv[i] = inbyte(0);
		 if (rec_state != 0) return rec_state;
		 else (ksum += buf_otv[i]);
	 } 
	 buf_otv[i]=inbyte(0);
	 if (ksum!=buf_otv[i]) rec_state = 2;
	 else rec_state=0;
  }
  else (rec_state = 3);
  }
else
{ 
   if (bDan!=0x80) rec_state = 1;
}
return rec_state;
}

int CUep1_windowsDlg::kol_vo(byte bb)
{
 int i; 
 	xlgtab[0]=1;
	xlgtab[1]=2;
	xlgtab[2]=3;
	xlgtab[3]=4;
	xlgtab[4]=5;
	xlgtab[5]=8;
	xlgtab[6]=12;
	xlgtab[7]=16;
 i = ((bb&0x70)>>4);
 return xlgtab[i];
}

bool CUep1_windowsDlg::out_voltage(int ind,int n1PW)
{
	extern byte buf_otv[18];
    char soob[100];
	int ns=0;
	double p,v;
	bool bErr=true;
	struct volt{
		double vol;
		char  name[6];
		double kf1;
		double kf2;
		double delta;
		bool  fl;
	} ;

	volt aVolt[]= {3.3,"3.3V",0.02,1,0,false,
	               2.5,"2.5V",0.02,1,0,false,
				   5.0,"5.0V",0.03,1,0,false,
	               -5.0,"-5.0V",2.188,97,15,false,
	               15.0,"15.0V",0.11638,1,0,true,
	               -15.0,"-15.0",2.188,109,45,false,
	               24.0,"24V",0.22277,1,0,true,
	               2.5,"REF V",0.0225,1,0,true};
	

v=0;
    if (aVolt[ind].vol > 0)
	{	
	  v=buf_otv[ind+n1PW]*aVolt[ind].kf1;
	  p=aVolt[ind].vol/100.*10.;
	  if (aVolt[ind].fl) bErr=(v>=(aVolt[ind].vol-p) && v<=(aVolt[ind].vol+p));
	  else bErr = (v>=(v-p) && v<=(v+p));
    }
	else
    {
      if ((aVolt[ind].vol == (-5.0)) && (buf_otv[ind+n1PW]==0xff)) bErr=false;
	  else
      {
		  v= (-aVolt[ind].vol-(buf_otv[ind+n1PW]/aVolt[ind].kf2))*aVolt[ind].kf1 - aVolt[ind].delta;
		  p=  aVolt[ind].vol/100*12.0;
		  bErr = (v>=(aVolt[ind].vol+p) && v<=(aVolt[ind].vol-p));
	  }
	}
	sprintf(soob,"\r\n     %s              %02xh              %5.1fV",
			aVolt[ind].name,buf_otv[ind+n1PW],v);
	m_soob += soob;    
	
	if (bErr) sprintf(soob,"      ");
	else sprintf(soob,"        !");
    
	m_soob += soob;    
	UpdateData(false);
    return bErr; 
}

void CUep1_windowsDlg::OnMenuPw() 
{
  m_soob.Empty();
  TEST_CU_INTorPW(0x6);
}



void CUep1_windowsDlg::OnMenuTest24v() 
{
  VER_CU_24(0);
}

int CUep1_windowsDlg::VER_CU_24(int nv)
{
 extern byte buf_otv[18];
 byte cs24;
 byte buf_kom[18]={0x80,0x7c,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},kod,c;
 int kv;
 char soob[100];

 m_soob.Empty();
 	
// 
	kod=0x10;
	kv=SEND_REC(buf_kom,kod);
	if(kv)return 1; ///!!!!!!!!!!!
		
//  
	if(buf_otv[1]!=buf_kom[1])
	{		
		MessageBox(" 1-    ");
	    return 1;
	 }
	cs24=buf_otv[2];
	if(nv==0){
		m_soob.Format("              VER_CU_24:   \r\n");
		sprintf(soob,"                             +24V  ");
		m_soob += soob;
		sprintf(soob,"\r\n   CS24=%02x\r\n  +24V_A ",buf_otv[2]); 
		m_soob += soob;
		c=buf_otv[2]&0x20;
		if(c!=0) sprintf(soob,"\r\n  +24V_B ");
		else	 sprintf(soob," \r\n  +24V_B ");
		m_soob += soob;
		
		c=buf_otv[2]&0x40;
		if(c!=0) sprintf(soob,"\r\n  +24V_C ");
		else     sprintf(soob," \r\n  +24V_C ");
		m_soob += soob;
		
		c=buf_otv[2]&0x80;
		if(c!=0) sprintf(soob,"\r\n");
		else	 sprintf(soob," \r\n");
					}       //  um
		m_soob += soob;
        UpdateData(false);
		return 0;
}



void CUep1_windowsDlg::OnMenuReadplis() 
{
	extern byte buf_otv[18];
 byte buf_kom[18]={0xa0,0x18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
 //,  ., ..., ...(.  -3)
 int rec_state,i,kp;
 byte kod;
 int adr,adr1;
 byte*a;
 char soob[50];

	kod=0x30;				//  
	kp=1;
 
    m_soob.Empty();
	m_soob.Format("\r\n              RD_PLIS:    " );
	
    WinAdr winAdrPlis; //  .  
	winAdrPlis.DoModal(); //  
	adr = winAdrPlis.iAdressPlis;
	
		adr1=adr&0xff;
		a=buf_kom+2;
		*a=adr1;
		adr1=adr&0xff00;
		adr1=adr1>>8;
		a=buf_kom+3;
		*a=adr1;

pp:	Send_RS(buf_kom);
	kp++;
// 
	rec_state=Rec_RS(kod);
	if(rec_state==1||rec_state==3){
		MessageBox("  REC_ERR");
	//	return 1;
		}
	if(rec_state==2){
		if(kp<=3)goto pp;
		MessageBox("  REC_ERR");
	//	return 1;
		}

	sprintf(soob,"\r\n buf_otv\r\n");
	m_soob += soob;
	for(i=0;i<=17;i++)
    {
		sprintf(soob,"  %2x",buf_otv[i]);
		m_soob += soob;
    }
	UpdateData(false);
	
//	return 0;
	
}

void CUep1_windowsDlg::OnMenuSet_Dac() 
{
 extern byte buf_otv[18];
 byte buf_kom[18]={0xe0,0x15,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
 int i,kp;
 byte kod,bb;
 
 char soob[200];
 
	kod=0x60;				//  
	kp=1;
 
 m_soob.Empty();
 UpdateData(false);


 m_soob.Format("\r\n   SET_DAC:    _  _ \r\n" );
    
 MLevel WinLevel;
 for(i=0;i<4;i++)
 {
   WinLevel.m_Ncanal = i;
   WinLevel.DoModal();
   bb = (WinLevel.a&0x300)>>8;
   buf_kom[2*i+2] = WinLevel.a;
   buf_kom[2*i+3] = bb;
   sprintf(soob,"   %2d :%x\r\n",i,WinLevel.a);
   m_soob += soob;
   UpdateData(false);
 }
 for(i=10;i<=12;i++) buf_kom[i]=0;

pp:	Send_RS(buf_kom);
	kp++;
// 
	rec_state=Rec_RS(kod);
	if(rec_state==1||rec_state==3){
		MessageBox("  REC_ERR");
		//REC_ERR(rec_state);
		//return 1;
		}
	if(rec_state==2){
		if(kp<=3)goto pp;
			MessageBox("  REC_ERR");
		//	REC_ERR(rec_state);
	//	return 1;
		}

	sprintf(soob,"\r\n buf_otv\r\n");
	m_soob += soob;
	for(i=0;i<=17;i++)
    {
		sprintf(soob,"  %2x",buf_otv[i]);
        m_soob += soob;
    }
	UpdateData(false);
	
 }

void CUep1_windowsDlg::OnMenuSin() 

//    
{
		extern byte buf_otv[18];
	byte buf_kom[18]={0xc0,0x19,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},kod1;
//.   =5: 1 - =0x19; 1 -;
//2 -(. ); 1 - -   

	unsigned int kv,i,kol_tikm,kol_tikb,kolw;
	double kt,vb,vm,vbp,vmp,amp,v,del_t;
	char soob[200];
	int kol_dsk;
	byte bb;

	kod1=0x40;

    Msin WinParamSin;
	WinParamSin.DoModal();
    v=WinParamSin.m_frequency;
	amp=WinParamSin.m_Amplitude;

	m_soob.Empty();
	m_soob.Format(" v=%lf ",v);
	sprintf(soob,"\r\n  amp=%lf",amp);
    m_soob += soob;

	amp=floor(amp*127);
	buf_kom[2]=amp;

	sprintf(soob,"\r\n  T=%lf ",(1/v));
    m_soob += soob;

	kol_dsk=pow(2,(WinParamSin.m_kodDis+1));
	sprintf(soob,"\r\n  : %d",kol_dsk);
    m_soob += soob;

	del_t = 1/(WinParamSin.m_frequency*kol_dsk);
	sprintf(soob,"\r\n .  - del_T=T/%d=%lf c",kol_dsk,del_t);
    m_soob += soob;
    
	kt=del_t/0.000005;
	sprintf(soob,"\r\n kt=%lf",kt);
    m_soob += soob;

	kol_tikb=ceil(kt);
	kol_tikm=kt;

	vm=1/(kol_tikm*0.000005*kol_dsk);
	vb=1/(kol_tikb*0.000005*kol_dsk);

	vmp=fabs(vm-v);
	vbp=fabs(vb-v);
	if(vmp<vbp)sprintf(soob,"\r\n    : %u=%x(hex)"
					  ,kol_tikm,kol_tikm);
	else sprintf(soob,"\r\n    : %u=%x(hex)"
					  ,kol_tikb,kol_tikb);
	m_soob += soob;
	
	if(vmp<vbp)sprintf(soob,"\r\n  %lf . .=%lf",vm,vmp);
	else sprintf(soob,"\r\n  %lf . .=%lf",vb,vbp);
	UpdateData(false);

	/*(char*)su=buf_kom+3;             //!!!!!!!!!!!!!
	if(vmp<vbp)*su=kol_tikm-1;
	 else *su=kol_tikb-1;*/
	
	if(vmp<vbp)(kolw=kol_tikm-1);
	else (kolw=kol_tikb-1);
    buf_kom[3]=kolw; 
	bb=(kolw&0xff00)>>8;
	buf_kom[4]=bb; //????
	
	/*if(kol_dsk==2)buf_kom[5]=0x00;
	if(kol_dsk==4)buf_kom[5]=0x01;
	if(kol_dsk==8)buf_kom[5]=0x02;
	if(kol_dsk==16)buf_kom[5]=0x03;
	if(kol_dsk==32)buf_kom[5]=0x04;
	if(kol_dsk==64)buf_kom[5]=0x05;
	if(kol_dsk==128)buf_kom[5]=0x06;
	if(kol_dsk==256)buf_kom[5]=0x07;*/

    buf_kom[5]=WinParamSin.m_kodDis;

	sprintf(soob,"\r\n Kom-da");
    m_soob += soob;

	for(i=0;i<=17;i++)
    {
		sprintf(soob,"  %2x",buf_kom[i]);
		m_soob += soob;
	}
	UpdateData(false);

	kv=SEND_REC(buf_kom,kod1);
	if(kv!=0) MessageBox(" !!");
	else
	{
		sprintf(soob,"\r\n    \r\n buf_otv\r\n");
	    m_soob += soob;
		for(i=0;i<=17;i++)
		{
		   sprintf(soob,"  %2x",buf_otv[i]);
		   m_soob += soob;
        }
	    UpdateData(false);
	}
} 

void CUep1_windowsDlg::OnMenuCan() 
{
  VER_CAN_MUX(0);
}

int CUep1_windowsDlg::VER_CAN_MUX(int nv)
{
	extern byte buf_otv[18];
	extern byte canmx;
 int kv,kod;
 byte buf_kom[18]={0x80,0x35,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
 char soob[200];	
 kod=0x10;

// 
 kv=SEND_REC(buf_kom,kod);
 
 if(kv)return 1;
		
//  
 if(buf_otv[1]!=buf_kom[1])
 {
	MessageBox("    CAN!     RS-");
	return 1;
 }
 else
 {
    canmx=buf_otv[2];
	if(nv==0)
	{
		m_soob.Empty();
	    m_soob.Format("\r\n  CANMX=%02x",canmx);
    	switch(canmx)
		{
	    	case 0x41:
		    	sprintf(soob,"   CAN_A"); break;
			case 0x52:
				sprintf(soob,"   CAN_B"); break;
			case 0x64:
				sprintf(soob,"   CAN_C"); break;
			case 0x77:
				sprintf(soob,"   CAN_A+B+C ()"); break;
			case 0x47:
				sprintf(soob,"   CAN_A+B+C"); break;
			case 0x80:
				sprintf(soob,"   CAN-");
			default:
				sprintf(soob,"     CAN-");
		}
		m_soob += soob;
		UpdateData(false);
	}  
 }
 return 0;
}

void CUep1_windowsDlg::OnMenuSet24v() 
{
 SET_CU_24(0);	
}

int CUep1_windowsDlg::SET_CU_24(int nv)
{
 extern byte buf_otv[18];
 byte buf_kom[18]={0x90,0x7b,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},kod;
 int kv,os;
 if(!nv)
 {
   Mset_cu_24 WinSetCu24;
   WinSetCu24.DoModal();
   cs24=WinSetCu24.bb;
 } 
 buf_kom[2]=cs24;
 
// 
 kod=0x10;
 kv=SEND_REC(buf_kom,kod);
 if(kv!=0)return 1;
		
//  
 os=0;
 if(buf_otv[1]!=buf_kom[1])os=1;
 if(buf_otv[2]!=buf_kom[2])os=1;
 if(os==1)
 {
		MessageBox("     !!!");
		return 1;
 }
 return 0;
}

void CUep1_windowsDlg::OnMenuRele() 
{
		extern byte buf_otv[18];
 int rec_state,kp,os,i;
 char soob[100];

 byte buf_kom[18]={0x90,0x30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},cssr,test1;
 byte kod=0x10;

 m_soob.Empty();
 UpdateData(false);
 
 Mrele WinRele;
 WinRele.DoModal();
 cssr=WinRele.bb;
 buf_kom[2]=cssr;

 // 
    kp=1;
pp:	Send_RS(buf_kom);
	kp++;
// 
	rec_state=Rec_RS(kod);
	if(rec_state==1)
	{
	  if(kp<=2)goto pp;
	  MessageBox("      !!!!");
	  return;  
	}
	if(rec_state==2){
	 if(kp<=3)goto pp;
	 MessageBox("   ");
	 return;
	}
//  
	os=0;
	test1=buf_kom[0];
	test1=test1&0x7f;
	if(test1!=buf_otv[0])
	{
	   os=1;
	   MessageBox(":    ");
	}
	if(buf_otv[1]!=buf_kom[1])
	{
	   os=1;
	   MessageBox(":  1-   ");
	 }
	if(buf_otv[2]!=buf_kom[2])
	{
	   os=1;
	   MessageBox(":  2-   ");
	}
    m_soob.Format(" SET_CU_SSR:   " );
   
	sprintf(soob,"\r\n   \r\n cssr=%02x  \r\n:        :",cssr);
	m_soob += soob;

	for(i=0;i<=2;i++)
	{
	   sprintf(soob,"\r\n        %02x              %02x",buf_kom[i],buf_otv[i]);
	   m_soob += soob;
	}
	UpdateData(false);
	if(os==1) MessageBox("     !   !");
	else 
	{
       sprintf(soob,"\r\n  ");
       m_soob += soob;
	   UpdateData(false);
	}
}

void CUep1_windowsDlg::OnMenuSolo() 
{
		extern byte buf_otv[18];
 int i,kp;
 char soob[50];
 byte buf_kom[18]={0x90,0x16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
 byte kod=0x50;	

 Mcanal WinNcan;

 WinNcan.DoModal();
 buf_kom[2]=WinNcan.m_ncan;

 kp=1;
 pp:  Send_RS(buf_kom);

// 
 rec_state=Rec_RS(kod);
 if(rec_state==1||rec_state==3)
 {
    MessageBox("      !!!!");
	return;
 }

	 
 /*{ if(rec_state==1||rec_state==3)
		REC_ERR(rec_state);
	for(i=0;i<=17;i++)
		printf("  %2x",buf_otv[i]);
	bioskey(0);
		return 1;
		}*/
 if(rec_state==2)
 {
   if(kp<=3)goto pp;
   MessageBox("   ");
		//REC_ERR(rec_state);
	//for(i=0;i<=17;i++)
	//	printf("  %2x",buf_otv[i]);
   return ;
 }
 m_soob.Format(" TST_ADCL:     \r\n buf_otv\r\n");
 for(i=0;i<=17;i++)
 {
   sprintf(soob,"  %02x",buf_otv[i]);
   m_soob += soob;
 }
 UpdateData(false);
 
}

void CUep1_windowsDlg::OnMENUProvRele() 
{
	extern byte buf_otv[18];
 byte buf_kom[18]={0x80,0x31,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},kod,bb;
 char soob[100];
	 //,ne[2];
 int i,j,os;
 
 char StateRele[8][24]= {"+3.3V   ",
              "+5V   ",
              "-5V   ",
              "+15V   ",
              "-15V   ",
			  "+24V   ",
			  "+5V   ",
			  "+3.3V   "};


 m_soob.Empty();	
 m_soob.Format("              VER_SSR:   \r\n" );
 sprintf(soob,"                              ");
 m_soob += soob;
 UpdateData(false);

// 
  kod=0x10;
  os=SEND_REC(buf_kom,kod);
  if(os)
  {
	  MessageBox("   ");
		return ;
  }
//  
  os=0;
  if(buf_otv[1]!=buf_kom[1])
  {
     os=1;
	 MessageBox(": 1-  ");
  }
  sprintf(soob,"\r\n   :\r\n   CSSR=%02x",buf_otv[2]);
  m_soob += soob;
  bb=buf_otv[2];
  for(i=0;i<=7;i++)
  {
    j = (bb&0x1);
	sprintf(soob,"\r\n  %s:",StateRele[i]);
    m_soob += soob;
	if (j==0)sprintf(soob,"  ");
	else sprintf(soob," ");
	m_soob += soob;
    bb >>= 1;
  }
  //UpdateData(false);
    
  if(os==1) sprintf(soob,"\r\n     ");
  else sprintf(soob,"\r\n   ");
  UpdateData(false);

 }



void CUep1_windowsDlg::OnMenuPrintbuf() 
{
 extern byte buf_otv[18];
 FILE *fp4;
 int i,j,i1,os,rec_state,kp;
 byte buf_kom[18]={0x90,0x20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},zgl_kom;
 byte adc[512];
 int adc_v;
 char soob[200];
 
 Mtakt WinTakt;

 WinTakt.DoModal();

 adc_v = WinTakt.m_kTakt;
 m_soob.Empty();
 UpdateData(false);

 // 
 zgl_kom=0x10;
		
 os=SEND_REC(buf_kom,zgl_kom);
 if(os!=0)
 {
		MessageBox("   !");
		return;
 }
//  

 if(buf_otv[1]!=buf_kom[1]||buf_otv[2]!=buf_kom[2])
 {
		MessageBox("   ");
		return ;
 }

//   

	j=0;                    //  
	zgl_kom=0x78;   //tim_rec=90;
	

	for(i=1;i<=32;i++)
	{	   //   
		kp=0;
pov:	rec_state=Rec_RS(zgl_kom);
		kp+=1;
		if(rec_state!=0)
		{
			if(rec_state==1)
			{
				if(kp<=8)goto pov;
				MessageBox("  !");
				return;
			}
			if(rec_state==2)MessageBox("   !");
			if(rec_state==3)MessageBox("    !");
		}
		for(i1=1;i1<=16;i1++)adc[j++]=buf_otv[i1];
	 }        //konec    

//  //////////////////////////////////////////////////
////////////////////////////////////
////////////////////////////////////
   if ((fp4 = fopen("ADC_BUF.sig", "w"))== NULL)
   {
		MessageBox(" Cannot open output file SIN.sig");
		return ;
	}
	m_soob.Format(" \r\n ");
	i=0;
	for(i1=0;i1<32;i1++)
	{
		for(j=1;j<=16;j++)
		{
			sprintf(soob," %x",adc[i]);
			m_soob += soob;
			fprintf(fp4," %x",adc[i++]);
		}
		//if(i1==20)
		//	{printf("\n     :");
		//	bioskey(0);
			
	}
	fclose(fp4);
	return;

}


int CUep1_windowsDlg::SET_CAN_MUX(int nv)
{
 extern byte buf_otv[18];
 extern byte canmx;
 byte buf_kom[18]={0x90,0x34,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},kod1;
 int kv;
 CString soob;
   
    for(kv=0;kv<18;kv++)buf_otv[kv]=0;
	kv=0;

	kod1=0x10;          //kod-    -1
	if (nv==0)
	{
 	  Mcan WinCANMX;
	  WinCANMX.DoModal();
    } 

	buf_kom[2]=canmx;

// 
	kv=SEND_REC(buf_kom,kod1);
	if(kv!=0)
	{
		MessageBox("   . CAN");
		return 1;
	}

//  
	if(buf_otv[1]!=buf_kom[1]||buf_otv[2]!=buf_kom[2])
	{
		MessageBox("    RS-!");
		return 1;
	}
	else 
	{
		if (nv==0)
        {
			m_soob.Format(" SET_CAN_MUX:   CAN\r\n  CANMX=%02x",canmx);
			UpdateData(false);
			//soob.Format(" SET_CAN_MUX:   CAN\r\n  CANMX=%02x",canmx);
			//MessageBox(soob);
		}
    	return 0;
    }
}

void CUep1_windowsDlg::OnMenuAco() 
{

}

void CUep1_windowsDlg::OnaSETCANMUX() 
{
  SET_CAN_MUX(0);	
}

void CUep1_windowsDlg::OnrestateCANMX() 
{
 SET_CAN_MUX(0);	
}

void CUep1_windowsDlg::Onrefilescen() 
{
	CString m_file;
    char *tCatalog;
    tCatalog = _getcwd(NULL,0);
	m_file = tCatalog;
	m_file += "\\*.scn";

	char szFilters[] =
	"  (*.scn)| *.scn ||";
    CFileDialog dlgOpen(TRUE, "scn",m_file, NULL, szFilters);
    int iResult = dlgOpen.DoModal();
    nFileScn = dlgOpen.GetFileName();
	if (nFileScn.IsEmpty())
    {
		MessageBox("    !!    KFR_T0R1.scn");
		nFileScn="KFR_T0R1.scn";
	}
}

void CUep1_windowsDlg::Onone() 
{
 byte cklg[2000];
 char *tCatalog;
// CString nFileResScn;
 
 m_soob.Empty();
 UpdateData(false);
 
 int iResult=MessageBox("    ?","",MB_YESNO|MB_ICONQUESTION);
 if (iResult==IDYES)
 {
    tCatalog = _getcwd(NULL,0);
    nFileResScn = tCatalog;
    nFileResScn += "\\*.mon";
    char szFilters[] =
	  "  (*.mon)| *.mon ||";
    CFileDialog dlgOpen(FALSE, "mon",nFileResScn, NULL, szFilters);
    iResult = dlgOpen.DoModal();
    nFileResScn = dlgOpen.GetFileTitle();
 }
 else nFileResScn.Empty();
 
 if (!SCR_KOD())return;	
 if (!SET_SCR())return;
 ST_ONE_SCR(cklg);
 m_soob.Empty();
 UpdateData(false);
 if(kbc>0)VIV_MON(cklg);
 //MessageBox("OK");
}

bool CUep1_windowsDlg::SCR_KOD()
{
 FILE *fp1;

 byte *p;
 char stroka[81],c;

 CString str;
 int kCan=0,n,iCan=0;
 int kDl=0,iDl=10;
 int i;

 kbc=0;
 fp1=fopen(nFileScn,"r");
 if(!fp1)
 {
	  MessageBox("    !!");
	  return false;
 }
 else
 {
     for(i=0;i<1024;i++)mas_scn[i]=0;
	 while(fgets(stroka,80,fp1)!=NULL)
      {
        str=stroka;
		n=str.GetLength();
		c=str.GetAt(0);
		if(c!=' ' && c!='\t' && (str.Mid(0,3)!="END"))
		{
			if(str.Find('CAN',0)!=(-1))
			{
				i=3;
				while((str.GetAt(i)==9 || str.GetAt(i)==' ') && (i<n))i++;
				if (i>=n)
                {	
					MessageBox("   CAN");
					return false;
                }
				else 
				{
					p=&mas_scn[iCan];
					str=str.Mid(i,n);
					if (!sCANb(str,p))
					{
						MessageBox("   CAN");
						return false;
					}
					else 
					{
						iCan += 16;	
						kCan++;
					}
				}
			}//can\t
			else
				if(str.Find('DL',0)!=(-1))
				{
                    p=&mas_scn[iDl];
					
					if (!sDlb(str.Right(n-3),p))
					
                    {
                       MessageBox("   DL");
					   return false;
					}
					else 
					{
						iDl += 16;
						kDl++;
						kbc++;
					}
				}
			
		}
		else
		{
			if(str.Mid(0,3)=="END")
            {
			  fclose(fp1);
			  if(kCan!=0 && kDl!=0)
			  {
				  return true;
			  }
			  else
			  {
				  if(kCan==0)MessageBox(":  CAN  !"); 
				  if(kDl==0)MessageBox(" :  DL  !"); 	
				  return false;
			  }
			}//==END
		}//!= ,\t, END
	  }//while fgets
      MessageBox(":  END  ");
	  return false;
 }//else !fp1
}


bool CUep1_windowsDlg::sCANb(CString str, byte *p)
{
	int i;
	byte bb;
	char cc[3];
	char *end_ptr;

	int n=str.GetLength();
	for(i=0; i<n;)
	{
		if (str.GetAt(i)!=' ' && str.GetAt(i)!= 10)
        {
			cc[0]=str.GetAt(i);
			cc[1]=str.GetAt(i+1);
			cc[2]='\0';
			bb=strtol(cc,&end_ptr,16);
			*p=bb;
			if (*end_ptr)return false;
			else 
			{
				i += 2;
				p++;
			}
		}
		else 
		{
			if(str.GetAt(i)==10) break;
			else i++;
		}
	}
	return true;
}

bool CUep1_windowsDlg::sDlb(CString str, byte *p)
{
 char dls[9],c;
  int i,j;
  long n;
  unsigned int num; 
  for(i=0;i<9;i++)dls[i]=0;
  
  j=0;i=0;
  do
  {
	c=str.GetAt(i);
	i++;
	if(c>='0'&&c<='9')dls[j++]=c;
  } while((i<9) && (c!=10));
  
  n=atol(dls);
  if(n>65535)
  {
		MessageBox("     ");
		return false;
  }
  num=n&0xff;;
  *p=num;
  num=n&0xff00;
  num=num>>8;
  p++;
  *p=num;
  return true;
}

bool CUep1_windowsDlg::SET_SCR()
{


 extern byte buf_otv[18];  //   Send_Rec
////////////////////////////////////////////////////////////////////////
 byte buf_kom1[18]={0xa0,0x60,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
 byte buf_kom2[18]={0xf8,0,   0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
 byte buf_kom3[18]={0xb0,0x62,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};

 byte ksum,csum,c,head;  //head-  
 byte *kol,*sum;
 int n,i,j,os;
 
 kol=buf_kom1+2; 
 n=kbc&0xff; //kbc -   
 *kol=n;
 n=(kbc&0xff00)>>8;
 kol++;
 *kol=n;

////////////////////////////////////////////////////////////////
 head=0x20;
 os=SEND_REC(buf_kom1,head);
 if(os)return false;
	

//  
	os=0;
	for(i=1;i<=3;i++){
	  if(buf_kom1[i]!=buf_otv[i]){
		return false;
		}
	}
///////////////////////////////////////////////////////////////
//------------------------------------------------------------------------
//     
	 j=0;  ksum=0;       //ksum-  

	for(;kbc>=1;kbc--)
	{  // 
		csum=0;		     //csum-  
        for(i=1;i<=16;i++)
		{
			buf_kom2[i]=mas_scn[j];
			csum+=mas_scn[j++];
		}
		c=buf_kom2[1];
		buf_kom2[1]=buf_kom2[2];
		buf_kom2[2]=c;
		buf_kom2[17]=0;
	      
	    ksum+=csum;

		head=0x20;
		os=SEND_REC(buf_kom2,head);
		if(os)return false;

 //   
		os=0;
		if(buf_otv[1]!=0x61)os=1;
		if(buf_otv[2]!=0)os=1;
		if(buf_otv[3]!=csum)
		{
			MessageBox("       !!!");
			return false;
		}
		if(os==1)
		{
			MessageBox("     ");
			return false;
		}
///////////////////////////////////////
   }//    kbc 

//__________________________________________________
//    
//    
/*	(char*)sum=buf_kom3+3;
	*sum=ksum;*/
 sum=buf_kom3+3;
 n=ksum&0xff; 
 *sum=n;
 n=(ksum&0xff00)>>8;
 sum++;
 *sum=n;

	head=0x30;
	os=SEND_REC(buf_kom3,head);
	if(os)return false;
//  
	if(buf_otv[1]!=buf_kom3[1]){
		 MessageBox(" 1-   ");
		os=1;
		}
	 if(buf_otv[2]!=0){
		MessageBox("   .    !!!");
		os=1;
		}
	if(buf_kom3[3]!=buf_otv[3]||buf_kom3[4]!=buf_otv[4]){
		MessageBox("   ()    c ,   ");
		os=1;
		}
	if(os){
		MessageBox("      ");
		return false;
		}

	return true;

}


void CUep1_windowsDlg::ST_ONE_SCR(byte cklg[])
{
 extern byte buf_otv[18];

 //extern 
	 //int otv,
// int kbc;
 //extern 
	 //int wcntr[4][8],wsa_skrc[4][8],wadc[4],wver_vt[4][8];
 //extern 
	 //int wfal_can[4][8],wfal_vvt[4][8],wfal_trn[4][8],wfal_rsv[4][8];
 //extern 
	 //int kol_nsp_plis[4];
 byte buf_kom[18]={0x80,0x63,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},head;
 int i,k,kv,kp;

 
//		textbackground(2);
//		cprintf(" ,           ");
//	otv=0;  //,     
	kbc=0;   //-   

	/*	for(i=0;i<=3;i++){     //    
			kol_nsp_plis[i]=0;
			wadc[i]=0;
			for(k=0;k<=7;k++){
				wcntr[i][k]=0;
				wsa_skrc[i][k]=0;
				wver_vt[i][k]=0;
				wfal_can[i][k]=0;
				wfal_vvt[i][k]=0;
				wfal_trn[i][k]=0;
				wfal_rsv[i][k]=0;
				}
			}*/

/////////////////////////////////////////////////////////////////
//  
	head=0x00;
	if(SEND_REC(buf_kom,head))return;
//  

	if(buf_otv[1]!=buf_kom[1]){
		MessageBox("       ");
		return ;
		}
//     CAN_MON_DAT
//---------------------------------------------------------
	i=0;                    //   
	head=0x78;

		while(1){               //   
		kp=0;
pov:
		kv=Rec_RS(head);
		kp++;
		if(kv){
			if(kv==1){
				if(kp<=2)goto pov;
				break;              //   
				}
			if(kv==2)continue;     // . . 
			if(kv==3){
				MessageBox("     !");
				return ;
				}
			   }
		for(k=1;k<=16;k++)//-----------1  16
			cklg[i++]=buf_otv[k];//----1  16
		kbc++;               //.   
	 if(i==2000)i=0;
	 }        //    
 m_soob += "   cklg";
 UpdateData(false);
 return;
}

void CUep1_windowsDlg::VIV_MON(byte cklg[])
{
 
  byte buf[18];
  int j,i,k;

 m_soob.Format("  \r\n");
//    
	if(kbc<=125)j=0;
	else
	{
			k=kbc/125;             //(2000:16)=125-  
								   //k-   
			j=(kbc-125*k)*16;
			kbc=125;
	}
//buf[1]=ID2, buf[2]=ID1, buf[3]=D1,...,buf[10]=D8
//buf[0]  .
	for(k=1;k<=kbc;k++)
	{                    // 1     k-  
		for(i=1;i<=16;i++)
			buf[i]=cklg[j++];
		PREOB_scrANDfile(buf);
//		FIL_STR_MON(buf,nd);     //.     
	}
    UpdateData(false);   
    return;
}

int CUep1_windowsDlg::PREOB_scrANDfile(byte buf[])
{
 extern int uep,otv;
 char soob[200];
 byte c,rec,tra;
 int nd,i;
 unsigned int kom;
 char nmCmd[16][5]={"SYNC","","WKA","","WKK","",
	           "WKT","WKC","WCO","WC1","WC2","WC3",
			   "","","","RST"};
	
 c=buf[16];
 rec=c&0x0f; tra=c&0xf0;
 
 if(!c||(rec&&tra))
 {
	m_soob += "err_T/R";
	nd=8;                //nd-- 
 }
 else	//   err_TR
 {  
 //  .  
    c=buf[1]; buf[1]=buf[2]; buf[2]=c;

	kom= ((buf[2]<<8)& 0xff00) | (buf[1]& 0xff);
	kom=kom&0x1ff; kom=kom>>5;
	if(kom!=0&&kom!=0x2&&kom!=0x4&&kom!=0x6&&
	   kom!=0x7&&kom!=0x8&&kom!=0x9&&kom!=0xa&&
	   kom!=0xb&&kom!=0xf)
	{
		m_soob += "err_K/K   ";
		nd=8; //??????????my
	}
	else
	{    //  . 
		nd=buf[1]&0x0f;
		if(rec)
		{
           otv=1;
		   m_soob += "rpl ";
		}
        else m_soob += "cmd ";

		if((kom!=4) || (kom==4 && kfr==1)) m_soob += nmCmd[kom];
		else m_soob +=  "WKS";

		if(rec)
		{
			  c=rec&0x08;
			  if(c!=0)m_soob +="_M";
			  c=rec&0x04;
			  if(c!=0)m_soob +="_C";
			  c=rec&0x02;
			  if(c!=0)m_soob +="_B";
			  c=rec&0x01;
			  if(c!=0)m_soob+="_A";
		}

	}  // ,    
 } //  err_TR
	  
 if (!rec ||kom==0x4 || uep)///   ECR_STR_MON + HEX_CHAR
 {
   sprintf(soob," %#2x %#2x ",buf[2],buf[1]);
   m_soob += soob;
   for(i=3;i<=nd+2;i++)
   {
     sprintf(soob,"%#2x ",buf[i]);
	 m_soob += soob;
   }
   m_soob += "\r\n";
 
 }
 else 
 {
   ;;
 }

 return 0;

}


